Script: *uninstall-firefox.ps1*
========================

This PowerShell script uninstalls Mozilla Firefox from the local computer.

Parameters
----------
```powershell
PS> ./uninstall-firefox.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./uninstall-firefox

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Uninstalls Mozilla Firefox
.DESCRIPTION
	This PowerShell script uninstalls Mozilla Firefox from the local computer.
.EXAMPLE
	PS> ./uninstall-firefox
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	"Uninstalling Mozilla Firefox, please wait..."

	& winget uninstall "Mozilla Firefox"
	if ($lastExitCode -ne "0") { throw "Can't uninstall Firefox, is it installed?" }

	"Mozilla Firefox is uninstalled now."
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of uninstall-firefox.ps1 as of 08/15/2024 09:50:55)*
